#include "Admin.h"
#include "common/Logger.h"

Errcode Admin::longin(std::string username, std::string passwd)
{
    std::string err;
    //Errcode ecode = DAO::login(nullptr, username, passwd, err);
    Errcode ecode = Errcode::OK;
    if (ecode != Errcode::OK)
    {
        XLOGE() << "login error, username=" << username << ", err=" << err;
    }
    else 
    {
        XLOGE() << "login success, username=" << username;
    }
    return ecode;
}